SET HEADING OFF
SET TERMOUT ON
SET FEEDBACK OFF
SET ECHO OFF
SET PAGESIZE 0
column fcltlogfile new_value fcltlogfile NOPRINT;
select 'DB26to26A' || '_' || UPPER(USER || '_' || sys_context('USERENV', 'SERVICE_NAME') || '_' || sys_context('USERENV', 'SERVER_HOST')) || '_' || to_char(sysdate,'YYYYMMDD_HH24MISS') || '.lst' as fcltlogfile from dual;
spool &fcltlogfile
WHENEVER SQLERROR EXIT;
DECLARE
    tekst VARCHAR2 (1000);
BEGIN
    CASE ASCII('€')
        WHEN 191 THEN tekst :='WE8ISO8859P1';
        WHEN 128 THEN tekst :='WE8MSWIN1252';
        ELSE tekst :='UNKNOWN ';
    END CASE;
    IF tekst <> 'WE8MSWIN1252' THEN
        tekst := '=================================================================' || CHR(10)
              || 'Foute clientside NLS_LANG ['|| TO_CHAR(ASCII('€')) ||'] voor deze FACILITOR upgrade.' || CHR(10)
              || 'WE8MSWIN1252 is nodig, ik vermoed '|| tekst || CHR(10)
              || 'Geef bijvoorbeeld in Windows voordat SQL*Plus opstart:' || CHR(10)
              || '    SET NLS_LANG=.WE8MSWIN1252' || CHR(10)
              || 'Of op Unix:' || CHR(10)
              || '    export NLS_LANG=.WE8MSWIN1252' || CHR(10)
              || 'Het upgrade script wordt nu afgebroken!' || CHR(10)
              || '=================================================================' || CHR(10);
        RAISE_APPLICATION_ERROR(-20000, 'OR'||'A-' || CHR(10) || tekst);
    END IF;
END;
/
WHENEVER SQLERROR CONTINUE;
PROMPT
PROMPT ************************************************************************
PROMPT UPGRADE of FACILITOR schema DB26 to version DB26A $Revision$
PROMPT Copyright (c) 1996-2015 Facilitor bv, the Netherlands. All rights reserved.
PROMPT
SELECT 'The current version of FACILITOR@' || USER || ' is: ' || fac.getdbversion()
  FROM DUAL;
PROMPT After the upgrade the schema version will be: DB26A
PROMPT
PROMPT                  PLEASE VERIFY THESE SCHEMA NUMBERS!
PROMPT
PROMPT  If these versions are not sequencing then execution of this script
PROMPT           should be stopped by pressing Ctrl-C right now!
PROMPT
PROMPT Only run this script when no users or processes are using FACILITOR
PROMPT
PROMPT ************************************************************************
PROMPT
PROMPT Press Enter to continue
SET DEFINE ON
PROMPT &&ACCEPT_DB26A
PROMPT
PROMPT The upgrade continues, be patient. You will be notified when we are done...
PROMPT
SET DEFINE OFF
SET HEADING OFF
SET FEEDBACK ON
SET VERIFY OFF
SET LINESIZE 1000
SET TIME ON
SET SERVEROUTPUT ON SIZE UNLIMITED;
variable update_start number
exec :update_start := dbms_utility.get_time
ALTER SESSION SET nls_territory='america';
PROMPT This script was run in user:
SHOW USER
SELECT 'The version of FACILITOR@' || USER || ' was ' || fac.getdbversion()
  FROM DUAL;
SET HEADING OFF
SET LINESIZE 132
BEGIN DBMS_UTILITY.COMPILE_SCHEMA(USER, FALSE); END;
/
PROMPT List of all invalid objects *before* FACILITOR upgrade.
SELECT 'OR'||'A-'||'DB'||'26A'||' Warning: ' || object_type || ' ' || object_name || ' was ' || status || ' before the upgrade.'
  FROM user_objects
 WHERE object_type IN ('VIEW', 'TRIGGER', 'PACKAGE', 'PROCEDURE', 'FUNCTION', 'PACKAGE BODY')
   AND status <> 'VALID'
 ORDER BY object_name;
SET ECHO ON
COMMIT;

CREATE OR REPLACE PACKAGE mld wrapped
a000000
1
abcd
abcd
abcd
abcd
abcd
abcd
abcd
abcd
abcd
abcd
abcd
abcd
abcd
abcd
abcd
9
10a7 3f9
GLJtH2VCKyjwYRE5N++/BTSZm0kwg1XqALeMfHTtI6oC2YpZ5fbEwH6vIwt+0CTxBRiLl5i1
mkF0NopErKFhe54b430pkyPTYWuKWfbKqrXkG3ftL+DYyd3WRNN0sByryHFNg0L81u8H7gh0
T0Yva6Xo5sfhEqKx8G2hzWfO+ThP9rhwBSLJi5KSYZV1h2X/fdo2pCkU6H9Z4Iyv9jaIYkyF
xRaLAmBmKs5WhxRny8mtGojCVzfzmSJU6VEFq7iRDeGtkv7QQt9oHydDoFCO1otrydKg7qfC
v09iequ/ZHuGbmrLyLOlfB69h96W5XK2J4fqjXC/xZUhBxFTadkZJnO+545YPavOiKxDcFUl
kp1X3/HEnj86CmHB8vwKTnB7XCxZ2mmIAhn27QcxufcwpC4e4QuPcSdMJqinL72pTpLS+0db
7parjWHXATUyPhbnlS3Ca/q+pEuHPL9l+r7p6y1+ENtCGRpuwOBjFtSeAIK5YGvCQcwx0GaJ
+DmJazCHz6Vhlhfb4+BOeZtKuE0RyD/5iw6siYDTu2QeXincMrsM6FNlzcTiGnqKrFdb3kr3
e9sSJmu0osMbECEaG5UZJr998bI+T4CjQybLQuV/QfwHVf+m/KQ2na2aQL8rFeZNLSWCN42n
ALvjOtJoNtSe/2mhsLC1sMJyF4ZrIa4sXeNWJmun37k3d7ncwcCe+tn/NFWZUt6G7IYJQNtU
TekdoluuGGgfyXyHkPhWE/733ASTAsic2G5a5LRHNNlVZFP9XTBFzPa5ChlkThsXcOSKapxH
MwUwQTkgIxjIgkLiP6HccBaNUu+td7tRATvg098NvEuoE1B1Kxx4Jfk5BxF4Xq12PJpri41k
vOiKcHF7x1Io7TUzM3J0JNNMy0upLLVxpkEcLwipj8ZinSdpyn8oanKfejynrt/rKgWgwTEp
z2OO0MuRwIetuNJHsIxQv2mugs6mOi4zJhHFvZ1xEasnJLCEscnNuPi2kJo/5B3yolE9

/
CREATE OR REPLACE PACKAGE BODY mld wrapped
a000000
1
abcd
abcd
abcd
abcd
abcd
abcd
abcd
abcd
abcd
abcd
abcd
abcd
abcd
abcd
abcd
b
13c4e 8cfe
[encoded data, 36062 characters]
4rqXUZ/Lo0N2oJ5s2Tq1zqr7mY2oJA==

/
BEGIN adm.systrackscriptId('$Id$', 0); END;
/
CREATE OR REPLACE PACKAGE fac wrapped
a000000
1
abcd
abcd
abcd
abcd
abcd
abcd
abcd
abcd
abcd
abcd
abcd
abcd
abcd
abcd
abcd
9
1ae2 786
OHacJRLYAR2AVOKNX/wjG3VzgyQwg9eT10oF3y+5Qk+sxBapKFXpEpf0UWBlseSZoTEecUZR
Z5q183saFG2JbLr/uegqLxSr8ZrkKBcEhDE332f5Oh67Sawkg5IAZOf2O0RDmDw3bFNnTHFi
a+78NjNQYafbTycBvWHOC/6bgbpo4XFcMUoKYu6uVcWLvivbrEZLaJO4j6TnZ3uO2+sJqVHT
5+pdWmIFXvjmvAY/mqPp8jtEaTIdcrPvBNlsDcEdbuqmv5GD033tTdBL3t0gj6zfN3gBnFTS
mhOUa+XlTQcH0jHzeiWXZ+cXLMO7OJ+2P1err/Bj8BpanxnAi7MxKnDPf7gaVN9DuRrFxO9J
AWgvVB/uEVyhO+Qccuzd7kLDdJWvDcsfSTjiAVipdjtrTkWGl4TW8/JpRUO4DG71EM/ju096
pADmnuAVa1hS9imc8x+JNR6QpsuUAO/aCcOMzEgM8+QKbIuK9Am6+0ET6f9ncoy+zIMV3ij8
Lp5j+EOv/pR3oJRB5D/u2kETUslFlZLAJTOpG1eYEaxHE5GxtofRRtpvkKhRulildu8zVYV/
EHqqO18RTNlzzNayTxrjRH/Z4qSheBSnWYX5fmW3GZseF04ZAPeVT/onEKwBJZ5PJQFvvRP1
CQRMvzKe5Dw9cQ1jjlwHH7SgTh+eCClg7bBoacRsH6zacBqPEGsxw46jF2IqVf5vioj2fgcN
LDajodGDQmydWy/wPWqnKGoECojDO0TTrggsUIGpSLz/Y714gNc1w6jr2oRiYfNxOCvvLFUj
aD9ylowSRede7lL67cuydObSncbKCQmW5uFSme4eYnN7fqgYw2qyqP73l0QvARcamYUvA/1D
zt6ZYhN9kb5baxMv+847O7ubE4obGvO4Ni1VbmBFizdVEop8Jc2uKBacFmDwQqLUtWTcrzjD
IaTUZjB9oMLwQMVGM1EeUGMDZVM2EdiYpoNAxbkW3NO7NrIyn6aNBgDTPIkyOX7w194RWX7z
wi/PGAjv0qP5b+Pe7SVBsW6zaQstujwWCXkNbjYIe7563b58aGxiAY7HC+hgi4OPKua+WjXI
GzL66UB2Y75L6BleYU+jsS2Wwzsv/tKSWZDf/AMUUdraenu20mFX/iEyPJoyZpm4KdtEgRjC
zND2Qsj8emHRSBVoinfE/WjAB9rdiLHoFyye+xt+yQQh+kUGu9qkRnnZ6nAiDxfd0E2v33Lt
/GXA3pCdiCFTINEx92o+3CXVqF/HTw7w2USh2pivLjZkRo2vEjtYrHhwO1vGM85ij+VYFe74
L9rf/FBPvHyGqZzjq1SHFJX0vL/eM83uYgNibyJJMD0ugJysqFyzN/5xKhE7gXgOPUqzQHhi
3xR95naRq0Yf4l9QvzpqEqynSFXtbJs6fMnqfX9+//MsYswE2JReFDVAwHmaaYRAt0zlanHo
ROvQwQY0aQR+ZokXI/k5yIAZkAf088DDtcx39fKhuReVf9xubehklXbNlw5vF5bYj2+3aLKV
E7yLam/qMXinfFZwvkaovxSQ80Rc1xsZa4dZ5GofZMlUN3UilNFTTcWAX9omL7UCJnb2c7j6
XWil6FgpeInUbqP8/HrvOEq6RQ7S6Wm55iF3pssXzHSPQ70hENZZGcBNcJ6tS4K2O/3mfx1T
ub7hRGfNN+qt8+vWD81WfzBhRKVkie9pfNxfmDoaYaFa4nFEc6bIcLpHe0Nig+RqWDMvtVhC
Qe+4tXo/QrT9Hy2/mLW5LVH/xgSbOt8goShLsEiaglmbWayaHthgccqdhfxylv4ZOKxm77jk
2qHuSCmoyb60ZZkRtq8oqb0S5xDhk4rLp0icvZWv/t96+L+vd4DFaRsUYuTE5h8Y2khUTsdU
QHhqzQ0KB0rh76h0TJo/+B9MyTsZ

/
CREATE OR REPLACE PACKAGE BODY fac wrapped
a000000
1
abcd
abcd
abcd
abcd
abcd
abcd
abcd
abcd
abcd
abcd
abcd
abcd
abcd
abcd
abcd
b
275b5 14a46
[encoded data, 84534 characters]
nP61zar7h5JeOg==

/
BEGIN adm.systrackscriptId('$Id$', 0); END;
/
BEGIN fac.registerversion(2015, 2, 'a', '26A', NULL); END;
/
BEGIN DBMS_UTILITY.COMPILE_SCHEMA(USER, FALSE); END;
/
BEGIN adm.systrackscriptId('$Id$', 1); END;
/
COMMIT;
select 'Upgrade has completed in ' || ROUND(( dbms_utility.get_time - :update_start )/100) || ' seconds.' from dual;
SET ECHO OFF
SET HEADING OFF
SET LINESIZE 132
PROMPT List of all invalid objects after FACILITOR upgrade.
PROMPT Some errors may resolve by running the customer specific script next.
SELECT 'OR'||'A-'||'DB'||'26A'||' Warning: ' || object_type || ' ' || object_name || ' is ' || status
  FROM user_objects
 WHERE object_type IN ('VIEW', 'TRIGGER', 'PACKAGE', 'PROCEDURE', 'FUNCTION', 'PACKAGE BODY')
   AND status <> 'VALID'
 ORDER BY object_name;
SET ECHO OFF
SET FEEDBACK OFF
PROMPT ======================================================================
SELECT 'Schema FACILITOR@' || USER || ' is now ' || fac.getdbversion() FROM DUAL;
PROMPT
PROMPT Your schema upgrade is ready. Please check the logfile for errors.
PROMPT If in doubt please contact: FACILITOR Helpdesk +31 53 4800 700
PROMPT Copyright (c) 1992-2015 Facilitor bv, the Netherlands. All rights reserved.
SET DEFINE ON
PROMPT Logfile of this upgrade is: &fcltlogfile
SPOOL OFF
